/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workattendance.entity;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.User;


/**
 * 通知通告记录Entity
 * @author jeeplus
 * @version 2014-05-16
 */
public class WorkAttendanceRuleRecord extends DataEntity<WorkAttendanceRuleRecord> {

	private static final long serialVersionUID = 1L;
	private WorkAttendanceRule workAttendanceRule;		// 考勤规则id
	private User user;		// 接受人
	private String officeId; //部门id
	private String officeName; //部门id

	public WorkAttendanceRuleRecord() {
		super();
	}

	public WorkAttendanceRuleRecord(String id){
		super(id);
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
	
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public WorkAttendanceRule getWorkAttendanceRule() {
		return workAttendanceRule;
	}

	public void setWorkAttendanceRule(WorkAttendanceRule workAttendanceRule) {
		this.workAttendanceRule = workAttendanceRule;
	}
}